using UnityEngine;
using UnityEngine.UI;

public class UIGameEndMenu : MonoBehaviour, IMenuState
{
    [SerializeField] private Button mainMenu;
    [SerializeField] private Button exit;

    private void Start()
    {
        mainMenu.onClick.AddListener(MenuManager.Instance.RestartScene);
        exit.onClick.AddListener(MenuManager.Instance.ExitGame);
        gameObject.SetActive(false);
    }

    public void Enter()
    {
        MenuManager.Instance.tutorialMenu.Exit();
        gameObject.SetActive(true);
    }

    public void Exit()
    {
        gameObject.SetActive(false);
    }

    public void UpdateMenu() { }
}
